A Note On High Sierra Compatibility with Third Party SSDs

 

Some users have reported compatibility issues with third party SSDs when attempting to install or run macOS 10.13 High Sierra. In testing, we have identified a related issue with our Aura SSDs. Apple is aware of these issues and we are working with them to resolve this as quickly as possible. Thus far we believe the issue is limited to Aura SSDs  for only these Mac models:

  • MacBook Air (11-inch, Mid 2013)
  • MacBook Air (13-inch, Mid 2013)
  • MacBook Air (11-inch, Early 2014)
  • MacBook Air (13-inch, Early 2014)
  • Mac Pro (Late 2013)

The number of OWC customers affected by this issue is limited, but we take every issue very seriously. We have sent communication to our customers that purchased these specific SSD models, and have been working directly with any customers affected. For those who have not attempted to upgrade yet, we recommend using macOS 10.12.x Sierra or earlier on your OWC Aura SSD.

If you have any questions, comments, or concerns regarding the upgrade to macOS 10.13 High Sierra, feel free to contact our award-winning customer service team.


LEAVE A COMMENT